class puppetconfig::params::master {
  $agent_catalog_run_lockfile           = '/var/opt/lib/pe-puppet/state/agent_catalog_run.lock'
  $agent_disabled_lockfile              = '/var/opt/lib/pe-puppet/state/agent_disabled.lock'
  $allow_duplicate_certs                = false
  $allow_variables_with_dashes          = false
  $archive_file_server                  = 'master.puppetlabs.vm'
  $archive_files                        = true
  $async_storeconfigs                   = false
  $autoflush                            = true
  $autosign                             = '/etc/puppetlabs/puppet/autosign.conf'
  $bindaddress                          = '0.0.0.0'
  $binder_config                        = ''
  $binder                               = false
  $bucketdir                            = '/var/opt/lib/pe-puppet/bucket'
  $cacert                               = '/etc/puppetlabs/puppet/ssl/ca/ca_crt.pem'
  $cacrl                                = '/etc/puppetlabs/puppet/ssl/ca/ca_crl.pem'
  $cadir                                = '/etc/puppetlabs/puppet/ssl/ca'
  $cakey                                = '/etc/puppetlabs/puppet/ssl/ca/ca_key.pem'
  $ca_name                              = 'Puppet CA generated on master.puppetlabs.vm at 2014-06-24 13:39:57 +0000'
  $capass                               = '/etc/puppetlabs/puppet/ssl/ca/private/ca.pass'
  $ca_port                              = '8140'
  $caprivatedir                         = '/etc/puppetlabs/puppet/ssl/ca/private'
  $capub                                = '/etc/puppetlabs/puppet/ssl/ca/ca_pub.pem'
  $ca_server                            = 'master.puppetlabs.vm'
  $catalog_cache_terminus               = 'store_configs'
  $catalog_format                       = ''
  $catalog_terminus                     = 'compiler'
  $ca                                   = true
  $ca_ttl                               = '157680000'
  $certdir                              = '/etc/puppetlabs/puppet/ssl/certs'
  $certdnsnames                         = ''
  $certificate_expire_warning           = '5184000'
  $certificate_revocation               = true
  $cert_inventory                       = '/etc/puppetlabs/puppet/ssl/ca/inventory.txt'
  $certname                             = 'master.puppetlabs.vm'
  $classfile                            = '/var/opt/lib/pe-puppet/state/classes.txt'
  $clientbucketdir                      = '/var/opt/lib/pe-puppet/clientbucket'
  $client_datadir                       = '/var/opt/lib/pe-puppet/client_data'
  $clientyamldir                        = '/var/opt/lib/pe-puppet/client_yaml'
  $code                                 = ''
  $color                                = 'ansi'
  $confdir                              = '/etc/puppetlabs/puppet'
  $config                               = '/etc/puppetlabs/puppet/puppet.conf'
  $config_file_name                     = 'puppet.conf'
  $configprint                          = ''
  $configtimeout                        = '120'
  $config_version                       = ''
  $couchdb_url                          = 'http://127.0.0.1:5984/puppet'
  $csr_attributes                       = '/etc/puppetlabs/puppet/csr_attributes.yaml'
  $csrdir                               = '/etc/puppetlabs/puppet/ssl/ca/requests'
  $daemonize                            = true
  $data_binding_terminus                = 'hiera'
  $dbadapter                            = 'sqlite3'
  $dbconnections                        = ''
  $dblocation                           = '/var/opt/lib/pe-puppet/state/clientconfigs.sqlite3'
  $dbmigrate                            = false
  $dbname                               = 'puppet'
  $dbpassword                           = 'puppet'
  $dbport                               = ''
  $dbserver                             = 'localhost'
  $dbsocket                             = ''
  $dbuser                               = 'puppet'
  $default_file_terminus                = 'rest'
  $default_schedules                    = true
  $deviceconfig                         = '/etc/puppetlabs/puppet/device.conf'
  $devicedir                            = '/var/opt/lib/pe-puppet/devices'
  $diff_args                            = '-u'
  $diff                                 = 'diff'
  $dns_alt_names                        = 'master,master.puppetlabs.vm,puppet,puppet.puppetlabs.vm'
  $document_all                         = false
  $dynamicfacts                         = 'memorysize,memoryfree,swapsize,swapfree'
  $environment                          = 'production'
  $evaltrace                            = false
  $external_nodes                       = 'none'
  $factpath                             = '/var/opt/lib/pe-puppet/lib/facter:/var/opt/lib/pe-puppet/facts'
  $facts_terminus                       = 'yaml'
  $fileserverconfig                     = '/etc/puppetlabs/puppet/fileserver.conf'
  $filetimeout                          = '15'
  $freeze_main                          = false
  $genmanifest                          = false
  $graphdir                             = '/var/opt/lib/pe-puppet/state/graphs'
  $graph                                = false
  $group                                = 'pe-puppet'
  $hiera_config                         = '/etc/puppetlabs/puppet/hiera.yaml'
  $hostcert                             = '/etc/puppetlabs/puppet/ssl/certs/master.puppetlabs.vm.pem'
  $hostcrl                              = '/etc/puppetlabs/puppet/ssl/crl.pem'
  $hostcsr                              = '/etc/puppetlabs/puppet/ssl/csr_master.puppetlabs.vm.pem'
  $hostprivkey                          = '/etc/puppetlabs/puppet/ssl/private_keys/master.puppetlabs.vm.pem'
  $hostpubkey                           = '/etc/puppetlabs/puppet/ssl/public_keys/master.puppetlabs.vm.pem'
  $http_compression                     = false
  $httplog                              = '/var/log/pe-puppet/http.log'
  $http_proxy_host                      = 'none'
  $http_proxy_port                      = '3128'
  $ignorecache                          = false
  $ignoreimport                         = false
  $ignoremissingtypes                   = false
  $ignoreschedules                      = false
  $inventory_port                       = '8140'
  $inventory_server                     = 'master.puppetlabs.vm'
  $inventory_terminus                   = 'yaml'
  $keylength                            = '4096'
  $lastrunfile                          = '/var/opt/lib/pe-puppet/state/last_run_summary.yaml'
  $lastrunreport                        = '/var/opt/lib/pe-puppet/state/last_run_report.yaml'
  $ldapattrs                            = 'all'
  $ldapbase                             = ''
  $ldapclassattrs                       = 'puppetclass'
  $ldapparentattr                       = 'parentnode'
  $ldappassword                         = ''
  $ldapport                             = '389'
  $ldapserver                           = 'ldap'
  $ldapssl                              = false
  $ldapstackedattrs                     = 'puppetvar'
  $ldapstring                           = '(&(objectclass                                                            = puppetClient)(cn = %s))'
  $ldaptls                              = false
  $ldapuser                             = ''
  $legacy_query_parameter_serialization = false
  $libdir                               = '/var/opt/lib/pe-puppet/lib'
  $listen                               = false
  $localcacert                          = '/etc/puppetlabs/puppet/ssl/certs/ca.pem'
  $localconfig                          = '/var/opt/lib/pe-puppet/state/localconfig'
  $logdir                               = '/var/log/pe-puppet'
  $manage_internal_file_permissions     = true
  $manifestdir                          = '/etc/puppetlabs/puppet/manifests'
  $manifest                             = '/etc/puppetlabs/puppet/manifests/site.pp'
  $masterhttplog                        = '/var/log/pe-puppet/masterhttp.log'
  $masterlog                            = '/var/log/pe-puppet/puppetmaster.log'
  $masterport                           = '8140'
  $max_deprecations                     = '10'
  $max_errors                           = '10'
  $maximum_uid                          = '4294967290'
  $max_warnings                         = '10'
  $mkusers                              = false
  $modulepath                           = '/etc/puppetlabs/puppet/modules:/opt/puppet/share/puppet/modules'
  $module_repository                    = 'https://forgeapi.puppetlabs.com'
  $module_skeleton_dir                  = '/var/opt/lib/pe-puppet/puppet-module/skeleton'
  $module_working_dir                   = '/var/opt/lib/pe-puppet/puppet-module'
  $node_cache_terminus                  = 'write_only_yaml'
  $node_name                            = 'cert'
  $node_name_fact                       = ''
  $node_name_value                      = 'master.puppetlabs.vm'
  $node_terminus                        = 'console'
  $no_op                                = false
  $onetime                              = false
  $ordering                             = 'title-hash'
  $parser                               = 'current'
  $passfile                             = '/etc/puppetlabs/puppet/ssl/private/password'
  $path                                 = 'none'
  $pidfile                              = '/var/run/pe-puppet/master.pid'
  $plugindest                           = '/var/opt/lib/pe-puppet/lib'
  $pluginfactdest                       = '/var/opt/lib/pe-puppet/facts.d'
  $pluginfactsource                     = 'puppet://master.puppetlabs.vm/pluginfacts'
  $pluginsignore                        = '.svn CVS .git'
  $pluginsource                         = 'puppet://master.puppetlabs.vm/plugins'
  $pluginsync                           = true
  $postrun_command                      = ''
  $preferred_serialization_format       = 'pson'
  $prerun_command                       = ''
  $priority                             = ''
  $privatedir                           = '/etc/puppetlabs/puppet/ssl/private'
  $privatekeydir                        = '/etc/puppetlabs/puppet/ssl/private_keys'
  $profile                              = false
  $publickeydir                         = '/etc/puppetlabs/puppet/ssl/public_keys'
  $puppetdlog                           = '/var/log/pe-puppet/puppetd.log'
  $puppetport                           = '8139'
  $queue_source                         = 'stomp://localhost:61613/'
  $queue_type                           = 'stomp'
  $rails_loglevel                       = 'info'
  $railslog                             = '/var/log/pe-puppet/rails.log'
  $reportdir                            = '/var/opt/lib/pe-puppet/reports'
  $reportfrom                           = 'report@master.puppetlabs.vm'
  $report_port                          = '8140'
  $reports                              = 'console,puppetdb'
  $report_serialization_format          = 'pson'
  $report_server                        = 'master.puppetlabs.vm'
  $report                               = true
  $reporturl                            = 'http://localhost:3000/reports/upload'
  $req_bits                             = '4096'
  $requestdir                           = '/etc/puppetlabs/puppet/ssl/certificate_requests'
  $resourcefile                         = '/var/opt/lib/pe-puppet/state/resources.txt'
  $rest_authconfig                      = '/etc/puppetlabs/puppet/auth.conf'
  $route_file                           = '/etc/puppetlabs/puppet/routes.yaml'
  $rrddir                               = '/var/opt/lib/pe-puppet/rrd'
  $rrdinterval                          = '1800'
  $rundir                               = '/var/run/pe-puppet'
  $runinterval                          = '1800'
  $section                              = 'master'
  $sendmail                             = '/usr/sbin/sendmail'
  $serial                               = '/etc/puppetlabs/puppet/ssl/ca/serial'
  $server_datadir                       = '/var/opt/lib/pe-puppet/server_data'
  $server                               = 'master.puppetlabs.vm'
  $show_diff                            = false
  $signeddir                            = '/etc/puppetlabs/puppet/ssl/ca/signed'
  $smtphelo                             = 'master.puppetlabs.vm'
  $smtpport                             = '25'
  $smtpserver                           = 'none'
  $splay                                = false
  $splaylimit                           = '1800'
  $srv_domain                           = 'puppetlabs.vm'
  $ssl_client_ca_auth                   = ''
  $ssl_client_header                    = 'SSL_CLIENT_S_DN'
  $ssl_client_verify_header             = 'SSL_CLIENT_VERIFY'
  $ssldir                               = '/etc/puppetlabs/puppet/ssl'
  $ssl_server_ca_auth                   = ''
  $statedir                             = '/var/opt/lib/pe-puppet/state'
  $statefile                            = '/var/opt/lib/pe-puppet/state/state.yaml'
  $storeconfigs_backend                 = 'puppetdb'
  $storeconfigs                         = true
  $strict_hostname_checking             = false
  $stringify_facts                      = true
  $summarize                            = false
  $syslogfacility                       = 'daemon'
  $tagmap                               = '/etc/puppetlabs/puppet/tagmail.conf'
  $tags                                 = ''
  $templatedir                          = '/var/opt/lib/pe-puppet/templates'
  $thin_storeconfigs                    = false
  $trace                                = false
  $trusted_node_data                    = false
  $use_cached_catalog                   = false
  $usecacheonfailure                    = true
  $user                                 = 'pe-puppet'
  $use_srv_records                      = false
  $vardir                               = '/var/opt/lib/pe-puppet'
  $waitforcert                          = '120'
  $yamldir                              = '/var/opt/lib/pe-puppet/yaml'
  $zlib                                 = true
}
